#ifndef __SSB_PACKET_STREAM_H__
# define __SSB_PACKET_STREAM_H__

# include <glib-object.h>
# include <gio/gio.h>

G_BEGIN_DECLS

# define SSB_TYPE_PACKET_STREAM (ssb_packet_stream_get_type())
G_DECLARE_DERIVABLE_TYPE(SsbPacketStream, ssb_packet_stream, SSB, PACKET_STREAM, GIOStream)

struct _SsbPacketStreamClass {
    GIOStreamClass parent_class;
};

GIOStream *ssb_packet_stream_new(GIOStream *io_stream, GError **error);

G_END_DECLS


#endif  /* __SSB_PACKET_STREAM_H__ */
